All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_global_offset Class Reference

Exception thrown if the provided offset for get_global_id() in OpenCL kernels is invalid. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_global_offset:

## Detailed Description

Exception thrown if the provided offset for get_global_id() in OpenCL kernels is invalid.

Definition at line 473 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp